
# runtime image
FROM docker.citigo.com.vn/kvxteam/mcr.microsoft.com-dotnet-aspnet:6.0 AS base
WORKDIR /app
EXPOSE 50001


# build image
FROM docker.citigo.com.vn/kvxteam/mcr.microsoft.com-dotnet-sdk:6.0 AS build


# copy and restore nuget package
WORKDIR /
COPY Demo.OmniChannel.Api.sln .
COPY ./Api /Api
COPY ./src /src
COPY ./Components ./Components
RUN dotnet restore

# build
WORKDIR /src/ProcessServices/Demo.OmniChannel.OrderGRPCServer
RUN dotnet build Demo.OmniChannel.OrderGRPCServer.csproj -c Release -o /app

# publish
FROM build AS publish
RUN dotnet publish "Demo.OmniChannel.OrderGRPCServer.csproj" -c Release -o /app/publish

FROM base AS final

# Please select the corresponding download for your Linux containers https://github.com/DataDog/dd-trace-dotnet/releases/latest

# Download and install the Tracer
#RUN mkdir -p /opt/datadog \
    #&& mkdir -p /var/log/datadog \
    #&& TRACER_VERSION=$(curl -s https://api.github.com/repos/DataDog/dd-trace-dotnet/releases/latest | grep tag_name | cut -d '"' -f 4 | cut -c2-) \
    #&& curl -LO https://github.com/DataDog/dd-trace-dotnet/releases/download/v${TRACER_VERSION}/datadog-dotnet-apm_${TRACER_VERSION}_amd64.deb \
    #&& dpkg -i ./datadog-dotnet-apm_${TRACER_VERSION}_amd64.deb \
    #&& rm ./datadog-dotnet-apm_${TRACER_VERSION}_amd64.deb \
    #&& sed -i '/^mozilla\/DST_Root_CA_X3/s/^/!/' /etc/ca-certificates.conf \
    #&& update-ca-certificates -f 
#
## Enable the tracer
#ENV CORECLR_ENABLE_PROFILING=1
#ENV CORECLR_PROFILER={846F5F1C-F9AE-4B07-969E-05C26BC060D8}
#ENV CORECLR_PROFILER_PATH=/opt/datadog/Datadog.Trace.ClrProfiler.Native.so
#ENV DD_DOTNET_TRACER_HOME=/opt/datadog
#ENV DD_INTEGRATIONS=/opt/datadog/integrations.json

WORKDIR /app
COPY --from=publish /app/publish .
ENTRYPOINT ["dotnet", "Demo.OmniChannel.OrderGRPCServer.dll"]